body {
  margin: 0;
  padding: 0;
  font-family: Arial, sans-serif;
  background-color: #f7f7f7;
}

.app {
  display: flex;
  flex-direction: column;
  height: 87vh;
}

.navbar {
  height: 13vh;
  background-color: #212529;
  color: #fff;
  padding: 10px;
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.navbar h2 {
  margin-left: 30px;
}

.navbar button {
  background-color: #007bff;
  color: #fff;
  border: none;
  padding: 8px 16px;
  border-radius: 4px;
  cursor: pointer;
}

.chat-container {
  display: flex;
  flex: 1;
  overflow: hidden;
}

.chat-list {
  width: 250px;
  height: 100%;
  overflow-y: auto;
  border-right: 1px solid #ccc;
  background-color: #f9f9f9;
  padding: 10px;
}

.chat-window {
  padding: 20px;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
}

.messages {
  display: flex;
  flex: 1;
  flex-direction: column;
  gap: 10px;
  padding: 10px;
  overflow-y: auto;
  text-align: end;
}

.message {
  max-width: 70%;
  padding: 8px 10px;
  border-radius: 10px;
  min-width: 5%;
}

.user {
  align-self: flex-end;
  background-color: #007bff;
  color: #fff;
}

.receiver {
  align-self: flex-start;
  background-color: #f1f1f1;
  color: #000;
}

.no-chat-selected {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  height: 100%;
}

.no-chat-selected img {
  width: 150px;
  height: 150px;
}

.no-chat-selected p {
  font-size: 18px;
  margin-top: 10px;
  color: #777;
}

.chat-list {
  overflow-y: auto;
  border-right: 1px solid #ccc;
  background-color: #f0f0f0;
}

.chat-item {
  padding: 10px;
  cursor: pointer;
  transition: background-color 0.3s ease;
  background-color: #e0e0e0;
  border-radius: 10px;
  margin-bottom: 10px;
  background-color: #e0e0e0;
  display: flex;
  align-items: center;
}

.chat-item:hover {
  background-color: #b0b0b0;
}

.chat-item-image {
  width: 40px;
  height: 40px;
  border-radius: 50%;
  margin-right: 10px;
}

.chat-item h3 {
  margin: 0;
  color: #333;
}

.chat-window {
  flex: 3;
  padding: 20px;
  background-color: #f9f9f9;
  display: flex;
  flex-direction: column;
}

.send-message-container {
  display: flex;
  align-items: center;
  padding: 10px;
  position: sticky;
  bottom: 0;
}

.send-message-input {
  padding: 8px;
  border: 1px solid #ccc;
  border-radius: 5px;
  margin-right: 10px;
  font-size: 14px;
  width: 98%;
}

.send-message-button {
  background-color: #007bff;
  color: #fff;
  padding: 8px 16px;
  border: none;
  border-radius: 5px;
  cursor: pointer;
  font-size: 14px;
}

.send-message-button:hover {
  background-color: #0056b3;
}

.profile-online {
  border: 5px solid green;
}

.navbar .chat-item-nav {
  height: 50px;
  padding: 10px;
  border-radius: 10px;
  margin-bottom: 10px;
  display: flex;
  flex-direction: row;
  justify-content: space-around;
}

.chat-item-nav .img-div h3 {
  margin-top: 2px;
  font-size: 25px;
}

.chat-item-image-nav {
  width: 35px;
  height: 35px;
  border-radius: 50%;
  margin-right: 10px;
  display: flex;
  flex-direction: row;
  justify-content: space-evenly;
}

.chat-item-nav button {
  margin-left: 40px;
  background-color: #212529;
  color: white;
}
.chat-item-nav button h3 {
  font-weight: bolder;
  margin-top: -30%;
}

.search-box {
  margin-left: -60%;
}

.modal-overlay {
  margin-left: -60%;
}

.time {
  margin: 0;
  font-size: 13px;
}

.messages p {
  margin: 0;
}

.img-div {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
}

.emoji {
  margin-right: 2%;
  position: relative;
}

.emoji-expanded {
  position: absolute;
  bottom: 0%;
}

@media screen and (max-width: 768px) and (min-width: 414px) {
  .app {
    display: flex;
    flex-direction: column;
    height: 75vh;
  }

  .search-box {
    margin-left: 0;
  }

  .img-div {
    margin-left: 15%;
  }

  .navbar .chat-item-nav {
    display: flex;
    flex-direction: row;
  }

  .modal-overlay {
    margin-left: 0;
  }
  .navbar {
    height: 25vh;
    background-color: #212529;
    color: #fff;
    padding: 10px;
    display: flex;
    justify-content: space-around;
    align-items: center;
  }
  .search-box {
    width: 60vh;
    padding: 10px;
    font-size: 16px;
    border: 1px solid #ccc;
    border-radius: 5px;
    min-width: 40%;
  }
}
